Download it now!
Bug 119516 - The table borders/content is shifting when adding or deleting row scrolling down & clicking into a table cell
Summary: The table borders/content is shifting when adding or deleting row scrolling d...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Borders
  Show dependency treegraph
 
Reported: 2018-08-26 18:10 UTC by Telesto
Modified: 2019-09-28 03:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (25.97 KB, application/vnd.oasis.opendocument.text)
2018-08-26 18:12 UTC, Telesto
Details
Example file (25.71 KB, application/vnd.oasis.opendocument.text)
2018-08-26 18:15 UTC, Telesto
Details
Screencast (15.94 MB, video/quicktime)
2018-08-28 09:04 UTC, Telesto
Details
Example file (22.40 KB, application/vnd.oasis.opendocument.text)
2018-08-28 19:00 UTC, Telesto
Details
Third Example (8.59 KB, application/vnd.oasis.opendocument.text)
2018-09-27 12:40 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-26 18:10:04 UTC
Description:
The table borders/content is slightly moving when adding or deleting row scrolling down & clicking into a table cell

Steps to Reproduce:
1. Open the attached file
2. Add a row above at given place
3. Scroll down & place the cursor in click here.. 
4. Observe a small movement of the borders/content

Actual Results:
Small layout change (nothing harmful, only annoying)

Expected Results:
Stable table layout


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: c958f52b813d34baa9b5236bb34a08a04e6b0aba
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-08-10_05:06:44
Locale: nl-NL (nl_NL.UTF-8); Calc: threaded

not seen in 
4.3.7.2
Comment 1 Telesto 2018-08-26 18:12:50 UTC
Created attachment 144462 [details]
Example file

There is no specific content moving; some borders or some text shifting a little
Comment 2 Telesto 2018-08-26 18:15:28 UTC
Created attachment 144463 [details]
Example file
Comment 3 Telesto 2018-08-26 18:16:30 UTC Comment hidden (obsolete)
Comment 4 Telesto 2018-08-26 18:18:40 UTC Comment hidden (obsolete)
Comment 5 Dieter 2018-08-26 19:18:33 UTC Comment hidden (obsolete)
Comment 6 Telesto 2018-08-26 20:03:20 UTC
New bug report for comment 3-5 (see bug 119520)
Comment 7 Telesto 2018-08-26 20:26:37 UTC
Repro with
Version: 5.0.0.0.alpha1+
Build ID: ab465b90f6c6da5595393a0ba73f33a1e71a2b65
Locale: nl-NL (nl_NL)

but not with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL

I used zoom 140%. It only a minor shift of 1 or 2 pixels
Comment 8 Dieter 2018-08-27 09:13:22 UTC
I used zoom 200%, but couldn't reproduce it

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 414ef6cb187dd3bbcc917dbedf3c0c1cc8668f60
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-21_00:13:04
Locale: en-US (de_DE); Calc: CL
Comment 9 Alex Thurgood 2018-08-27 10:41:33 UTC
Confirming with 

Version: 6.1.0.3
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
Threads CPU : 4; OS : Mac OS X 10.13.6; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group threaded

The content is redrawn, causing a visual shift.
Comment 10 Xisco Faulí 2018-08-28 08:47:09 UTC
@Telesto, @Alex Thurgood,
would it be possible to record a screencast to make it clearer what the problem is ?
Comment 11 Telesto 2018-08-28 09:04:47 UTC
Created attachment 144498 [details]
Screencast

Screencast with 3 attempts; in which 2 have a drawing error.

1. The first one has a missing border
2. Second attempt (no issue)
3. Third attempt; shifting text

It's noticeable on Windows & MacOS. It's more obvious on my Macbook. But no clue why (MacOS/slower CPU/touchpad scrolling/screensize). 

I reproduced it on Windows back to 5.3.1 (new layout engine). I have the impression that it's also happening with the old layout engine. Might have noticed it few times (but was so minor, that I could barely see it; and I had to try it multiple times)
Comment 12 Telesto 2018-08-28 09:13:32 UTC
Note: also happening in normal view & with or without the sidebar
Comment 13 Telesto 2018-08-28 19:00:23 UTC
Created attachment 144523 [details]
Example file

Attempt to simplify the STR
1. Open the attached file
2. Insert a table 2x4 on top of the page
3. Scroll down to page 2 (half way)
4. Menu -> File Reload. -> A part of the text will move when the popup appears
Comment 14 Xisco Faulí 2018-08-30 10:44:42 UTC
@Telesto,
I'm sorry but I don't see the problem in the video attached.
Where should I look at?
Comment 15 Telesto 2018-08-30 14:38:11 UTC
(In reply to Xisco Faulí from comment #14)
> @Telesto,
> I'm sorry but I don't see the problem in the video attached.
> Where should I look at?

At small details ;-)

1. At 0:06. Notice a missing top table border (re-apearing after clicking at Click the cursor here)
2. At 0:22 skip back and forward between 0:22 and 0:23 (and notice the movement)

Note: Comment 13 is only reproducible with MacOS. Also found in 4.3.7.2. I attempt to download older version from the archive, but the server is unbearable slow (20 kb/s)
Comment 16 Telesto 2018-09-27 12:40:43 UTC
Created attachment 145213 [details]
Third Example

Attempt to simplify:
1. Open the attached file
2. CDM+A & CMD&C
3. CMD+N
4. CMD+V (hold it for +/- 7 pages)
5. Scroll up (touchpad) (cursor isn't allowed to move, issue will disappear). Mostly there is one table with some 'fat' borders & an embedded table without top border somewhere in the document. Postion is variating.
Comment 17 QA Administrators 2019-09-28 03:05:29 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug